WB32F10x Standard Peripherals Firmware Library

Modules | Functions
RTC
WB32F10x_StdPeriph_Driver

RTC driver modules. More...

## Modules
| RTC_Exported_Constants
| RTC_Private_Defines
| RTC_Private_Functions

## Functions
void | RTC_ITConfig (uint16_t RTC_IT, FunctionalState NewState)
| Enables or disables the specified RTC interrupts. More...
void | RTC_EnterConfigMode (void)
| Enters the RTC configuration mode. More...
void | RTC_ExitConfigMode (void)
| Exits from the RTC configuration mode. More...
uint32_t | RTC_GetCounter (void)
| Gets the RTC counter value. More...
void | RTC_SetCounter (uint32_t CounterValue)
| Sets the RTC counter value. More...
void | RTC_SetPrescaler (uint32_t PrescalerValue)
| Sets the RTC prescaler value. More...
void | RTC_SetAlarm (uint32_t AlarmValue)
| Sets the RTC alarm value. More...
uint32_t | RTC_GetDivider (void)
| Gets the RTC divider value. More...
void | RTC_WaitForLastTask (void)
| Waits until last write operation on RTC registers has finished. More...
void | RTC_WaitForSynchro (void)
| Waits until the RTC registers (RTC_CNT, RTC_ALR and RTC_PRL) are synchronized with RTC APB clock. More...
FlagStatus | RTC_GetFlagStatus (uint16_t RTC_FLAG)
| Checks whether the specified RTC flag is set or not. More...
void | RTC_ClearFlag (uint16_t RTC_FLAG)
| Clears the RTC's pending flags. More...
ITStatus | RTC_GetITStatus (uint16_t RTC_IT)
| Checks whether the specified RTC interrupt has occurred or not. More...
void | RTC_ClearITPendingBit (uint16_t RTC_IT)
| Clears the RTC's interrupt pending bits. More...

## Detailed Description

RTC driver modules.

## Function Documentation

## ◆ RTC_ClearFlag()

void RTC_ClearFlag | ( | uint16_t | RTC_FLAG | ) |

Clears the RTC's pending flags.

Parameters

  RTC_FLAG | specifies the flag to clear. This parameter can be any combination of the following values: RTC_FLAG_RSF: Registers Synchronized flag. This flag is cleared only after an APB reset or an APB Clock stop. RTC_FLAG_OW: Overflow flag RTC_FLAG_ALR: Alarm flag RTC_FLAG_SEC: Second flag

Return values

  None |

## ◆ RTC_ClearITPendingBit()

void RTC_ClearITPendingBit | ( | uint16_t | RTC_IT | ) |

Clears the RTC's interrupt pending bits.

Parameters

  RTC_IT | specifies the interrupt pending bit to clear. This parameter can be any combination of the following values: RTC_IT_OW: Overflow interrupt RTC_IT_ALR: Alarm interrupt RTC_IT_SEC: Second interrupt

Return values

  None |

## ◆ RTC_EnterConfigMode()

void RTC_EnterConfigMode | ( | void |  | ) |

Enters the RTC configuration mode.

Parameters

  None |

Return values

  None |

## ◆ RTC_ExitConfigMode()

void RTC_ExitConfigMode | ( | void |  | ) |

Exits from the RTC configuration mode.

Parameters

  None |

Return values

  None |

## ◆ RTC_GetCounter()

uint32_t RTC_GetCounter | ( | void |  | ) |

Gets the RTC counter value.

Parameters

  None |

Return values

  RTC | counter value.

## ◆ RTC_GetDivider()

uint32_t RTC_GetDivider | ( | void |  | ) |

Gets the RTC divider value.

Parameters

  None |

Return values

  RTC | Divider value.

## ◆ RTC_GetFlagStatus()

FlagStatus RTC_GetFlagStatus | ( | uint16_t | RTC_FLAG | ) |

Checks whether the specified RTC flag is set or not.

Parameters

  RTC_FLAG | specifies the flag to check. This parameter can be one the following values: RTC_FLAG_RTOFF: RTC Operation OFF flag RTC_FLAG_RSF: Registers Synchronized flag RTC_FLAG_OW: Overflow flag RTC_FLAG_ALR: Alarm flag RTC_FLAG_SEC: Second flag

Return values

  The | new state of RTC_FLAG (SET or RESET).

## ◆ RTC_GetITStatus()

ITStatus RTC_GetITStatus | ( | uint16_t | RTC_IT | ) |

Checks whether the specified RTC interrupt has occurred or not.

Parameters

  RTC_IT | specifies the RTC interrupts sources to check. This parameter can be one of the following values: RTC_IT_OW: Overflow interrupt RTC_IT_ALR: Alarm interrupt RTC_IT_SEC: Second interrupt

Return values

  The | new state of the RTC_IT (SET or RESET).

## ◆ RTC_ITConfig()

void RTC_ITConfig | ( | uint16_t | RTC_IT,
|  | FunctionalState | NewState
| ) |  |

Enables or disables the specified RTC interrupts.

Parameters

  RTC_IT | specifies the RTC interrupts sources to be enabled or disabled. This parameter can be any combination of the following values: RTC_IT_OW: Overflow interrupt RTC_IT_ALR: Alarm interrupt RTC_IT_SEC: Second interrupt
  NewState | new state of the specified RTC interrupts. This parameter can be: ENABLE or DISABLE.

Return values

  None |

## ◆ RTC_SetAlarm()

void RTC_SetAlarm | ( | uint32_t | AlarmValue | ) |

Sets the RTC alarm value.

Parameters

  AlarmValue | RTC alarm new value.

Return values

  None |

## ◆ RTC_SetCounter()

void RTC_SetCounter | ( | uint32_t | CounterValue | ) |

Sets the RTC counter value.

Parameters

  CounterValue | RTC counter new value.

Return values

  None |

## ◆ RTC_SetPrescaler()

void RTC_SetPrescaler | ( | uint32_t | PrescalerValue | ) |

Sets the RTC prescaler value.

Parameters

  PrescalerValue | RTC prescaler new value.

Return values

  None |

## ◆ RTC_WaitForLastTask()

void RTC_WaitForLastTask | ( | void |  | ) |

Waits until last write operation on RTC registers has finished.

Note
  This function must be called before any write to RTC registers.

Parameters

  None |

Return values

  None |

## ◆ RTC_WaitForSynchro()

void RTC_WaitForSynchro | ( | void |  | ) |

Waits until the RTC registers (RTC_CNT, RTC_ALR and RTC_PRL) are synchronized with RTC APB clock.

Note
  This function must be called before any read operation after an APB reset or an APB clock stop.

Parameters

  None |

Return values

  None |